org.apache.synapse.transport.passthru

## Class PassThroughHttpSSLListener

- java.lang.Object
- - org.apache.synapse.transport.passthru.PassThroughHttpListener
  - - org.apache.synapse.transport.passthru.PassThroughHttpSSLListener

- All Implemented Interfaces:
    org.apache.axis2.transport.TransportListener

      public class PassThroughHttpSSLListener
      extends PassThroughHttpListener

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.passthru.PassThroughHttpListener

      `ACTIVE_CONNECTION_MONITOR_DELAY, log`

    - ### Fields inherited from interface org.apache.axis2.transport.TransportListener

      `HOST_ADDRESS, PARAM_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThroughHttpSSLListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServerConnFactoryBuilder` | `initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn, org.apache.http.HttpHost host, org.apache.axis2.context.ConfigurationContext configurationContext)`
    `protected Scheme` | `initScheme()`

    - ### Methods inherited from class org.apache.synapse.transport.passthru.PassThroughHttpListener

      `destroy, getEPRForService, getEPRsForService, getSessionContext, getTransportName, init, maintenanceShutdown, pause, reload, reloadDynamicSSLConfig, reloadSpecificEndPoints, resume, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughHttpSSLListener

          public PassThroughHttpSSLListener()

  - ### Method Detail

    - #### initScheme

          protected Scheme initScheme()

      Overrides:
        `initScheme` in class `PassThroughHttpListener`

    - #### initConnFactoryBuilder

          protected ServerConnFactoryBuilder initConnFactoryBuilder(org.apache.axis2.description.TransportInDescription transportIn,
                                                                    org.apache.http.HttpHost host,
                                                                    org.apache.axis2.context.ConfigurationContext configurationContext)
                                                             throws org.apache.axis2.AxisFault

      Overrides:
        `initConnFactoryBuilder` in class `PassThroughHttpListener`
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005–2020 Apache Software Foundation. All rights reserved.